package com.community.huiju.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.model.Bill;

/**
 * <p>
 * 缴费项表 服务类
 * </p>
 *
 * @author weiximei
 * @since 2019-02-13
 */
public interface IBillService extends IService<Bill> {

    /**
     * 修改 缴费项的 收费项名称,缴费项说明,截止时间
     *
     * @param parameter
     * @param userElement
     * @return
     */
    ResponseBean updateBillNameAndBillExplainAndEndDate(UserElement userElement, String parameter);

    /**
     * 根据ID查询 缴费项
     * @param id
     * @return
     */
    ResponseBean getByBillId(Integer id);
	
	/**
	 * 获取收费项列表
	 * @param bill
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	ResponseBean getBillList(Bill bill, Integer pageNum, Integer pageSize);
}
